Forum Clubic

Live cd qui supporte ext4

Bonjour à toutes et tous

J’ai récemment installé une machine avec la Fedora qui m’a installé les disques en ext4.
Mon le disque avec le système est HS il me reste donc celui contenant le home que j’aimerais sauvegarder.

Seulement mon poste étant sous debian je n’ai pas le support de l’ext4 et je n’ai pas envie de plomber ma machine pour le mettre …

Je suis donc à la recherche d’un live cd qui puisse me monter les partitions ext4 sans bidouille.

merci de votre aide :wink:
Edité le 08/07/2010 à 14:01

A ma connaissance, etx4 est une extension de ext3 qui est retrocompatible.
Autrement dit, tu montes la partoche ext4 comme un ext3 et tu peux acceder aux donnees.

A verifier mais je suis a peu pres sur de mes dires.
(D’ailleurs, une partition ext3 est montable sur un systeme qui ne gere que le ext2 :slight_smile: )

merci pour ta réponse
J’ai essayé sous Debian et ça ne veux pas marché : le montage de l’ext4 en ext3 ne veux pas passer :frowning:

je vais refaire un essai au cas ou :wink:

#mount -t ext3 /dev/vg_netflow/lv_root /media/disk2/
mount: wrong fs type, bad option, bad superblock on /dev/mapper/vg_netflow-lv_root,
       missing codepage or helper program, or other error
       In some cases useful info is found in syslog - try
       dmesg | tail  or so
#dmesg | tail 
EXT3-fs: dm-0: couldn't mount because of unsupported optional features (240)

sniff

Edit : avec Ubuntu 10.04 LTS ça marche du tonnerre !!!
Edité le 08/07/2010 à 14:00

j’allais le dire, pour ubuntu, sinon Debian testing (Squeeze).

KP2: ext4 est retrocompatible pour monter du ext3 avec le driver ext4, mais pas l’inverse.

merci quand même pour ta réponse :wink:

en plus je ne serais plus couilllon à faire du lvm c’est trop le bazar pour récupérer les partitions après…

A ma connaissance, etx4 est une extension de ext3 qui est retrocompatible.
Autrement dit, tu montes la partoche ext4 comme un ext3 et tu peux acceder aux donnees.

Heu attention dis comme ca ca peut preter à confusion:
Oui on peut monter une part ext3 en ext4 mais du moment où qu’on a écrit sur la part, il est très probable qu’on ne puisse plus la remonter en ext3.
C’est du au fait que ext4 utilise un nouvelle facon de stocker les données (dans des “extent”).

Si on veut profiter pleinement de ext4, la seule solution consiste à backuper la partition ext3; à tout reformater en ext4 et à recopier les données depuis le backup. De cette facon toutes les données seront écrites sur le disque en profitant de tous les avantages de ext4.

“Seulement mon poste étant sous debian je n’ai pas le support de l’ext4”
Gni? tu as quel noyau? Si ce n’est pas un noyau qui date de guerre de 14, tu fais juste un modprobe ext4 et voila.

C’est un 2.6.26-2-686 ( oui c’est un dinosaure ) et le module ext4 n’existe pas avant la version 2.6.28 mais j’ai surtout la flemme de changer de noyau à cause de ma carte graphique qui fonctionne bien ( en dual monitor ) et du scanner usb qui est bien reconnu car j’ai eu des soucis avec ça part le passé.

Aieee, j’avais pas fais gaffe à ce genre de souci. J’ai souvent un Live-CD sous le coude en cas de soucis, une Knoppix, la première distrib a proposé du Live-CD.
Je sens qu’il serait donc préférable d’actualisé le CD avec une version plus récente pour éviter de se retrouver comme un idiot :stuck_out_tongue: à ne pas pouvoir monter ses partoches

ti4444 : si ça tourne autant le laisser tourner MAIS plus tu attends plus il est problabe que tu aura qlqs petits pbs lors de la mise à jour :wink:

fakbill : je sais mais si j’ai un peu de courage je ferais la migration ^^
( car il faut en plus de la carte graphique et du scanner que je réinstalle les drivers de la carte son et de cette s… de carte réseau broadcom :smiley: )

weed002 : j’ai regardé vite fait sur le site de la knoppix mais il n’y a pas moyen de savoir quelle version de noyau est utilisée dans la dernière version :confused:

Dans ce cas, on attendra quelques mois encore et on testera… :slight_smile:
De toute facon, cela vient venir un jour le support

sinon pour vous faire rigoler j’ai fait un update mais visiblement pas moyen de conserver l’ancien noyau il a voulu que je le vire à cause d’un dépendance d’udev et bien sur pas moyen de booter sur l’ancien noyau donc je reste bloqué sur le menu grub et pas moyen de charger un noyau vu qu’il ont tous l’air d’avoir passé à la trappe ^^

ha c’était “pré udev” ton machin…dans ce cas le plus simple est de backuper les données et de repartir de 0.
Avec dpkg --get/set-selections et un backup de /etc c’est vite fait :wink:

Oula, en effet cela de faire un peu drole de rester bloquer.:stuck_out_tongue: J’imagine la tete . …
Je suis étonné que tu ne puisses plus basculer sur un ancien noyau. Par exemple sur Ubuntu (j’image comme les autres distrib), il garde justement les anciens noyau pour en cas de problème pouvoir démarrer. C’est vraiment pas de chance

Je suppose qu’il peut plus ou moins mais si les device ne sont pas crées dans /dev ça ne peut pas aller bien loin :wink:

En fait il y a “un bug concernant udev” lors du passage de Lenny à Squeeze ( dans le noyau une option Config-sysfs-deprecated doit être désactivé : il faut créer le fichier /etc/udev/kernel-upgrade et ça passe … )